var PathName = ''; //для IE6 - т.к. в нем не происходит повторное выделение pathname

function trim_spaces(from_where){

	
	// Сохранение строки во временной переменной
	var temp_string=this

	//Если аргумент не задан, сокращение с обеих сторон
	if(arguments.length==0){
		from_where="BOTH"
		}		
	//Удаление пробелов слева
	if(from_where.toUpperCase()=="LEFT" || from_where=="BOTH"){
		while (temp_string.left(1)==" "){
		temp_string=temp_string.substring(1)	
		}
		
	}
		//Удаление пробелов справа
	if(from_where.toUpperCase()=="RIGHT" || from_where=="BOTH"){
		while (temp_string.right(1)==" "){
		temp_string=temp_string.substring(0, temp_string.length-1)	
		}
	}		
	return temp_string	
		
}



function extract_left(total_chars){
	return this.substring(0, total_chars)
	}
function extract_right(total_chars){
	return this.substring(this.length-total_chars)
	}	
String.prototype.right=extract_right
String.prototype.left=extract_left
String.prototype.trim=trim_spaces

//#########################################################################################################
//#########################################################################################################
//#########################################################################################################
//#########################################################################################################

function conversion_path(gosearch_node){
	
	if (PathName) return PathName;
	
	urlpath=gosearch_node.pathname;
	
	//для Оперы
	urlpath=urlpath.split('?');			
	urlpath=urlpath[0]
	//для Оперы
		
	// проверяем нет ли в начале пути слеша т.к. IE не ставит слеш а Firefox ставит  если нет слеша то добавляем
	reg_exp_string="^/.*";
	reg_exp=new RegExp(reg_exp_string);
	
	if(res=urlpath.search(reg_exp)==-1){
		urlpath="/"+urlpath;	
	}
	//возвращаем путь до страницы с результатами поиска
	PathName = urlpath;// записываем его в глобальную переменную т.к. в IE6 не происходит повторное выделение pathname
	
	return  urlpath
	
}
//#########################################################################################################
//#########################################################################################################
//#########################################################################################################
//#########################################################################################################

function conversion_param(gosearch_node){


site_id='';


param=gosearch_node.search.substring(1);
param_modified='';

//alert(param);


			
				if(param.indexOf('&')){
					
					param_ar=param.split('&');	
						for(i=0; i<param_ar.length; i++ ){
							
								if(param_ar[i].indexOf('=')){
										param_ar[i]=param_ar[i].split('=')	
										if(param_ar[i][0].indexOf('site_id')!=-1)site_id=param_ar[i][1];
										if(param_ar[i][0].indexOf('text')==-1){
											//param_ar[i][0]=param_ar[i][1];
										
										param_modified+=param_ar[i][0]+"="+param_ar[i][1]+"&";
										}
								}				
						}
						
						
						
						
						
			}else{
						
								if(param.indexOf('=')){
										param_ar=param.split('=');
										if(param_ar[0].indexOf('site_id')!=-1)site_id=param_ar[1];
										if(param_ar[0].indexOf('text')==-1){
											//text_txt=param_ar[1];
											
											param_modified+=param_ar[0]+"="+param_ar[1]+"&";
											}
								}			
		
	
	
			}		


			
//возвращаем все параметры кроме text=	
return 	param_modified
}
 
//#########################################################################################################
//#########################################################################################################
//#########################################################################################################
//#########################################################################################################


function goto_search(input_elem){


text_txt=input_elem.value;
text_txt=text_txt.trim()




//т.к. ссылок на результаты поиска может быть несколько - необходимо обойти их все		
//Используем цикличный обход по всем элементам <a> - ищем элемент <a> с  id="gosearch" 


ar_gosearch_node=document.getElementsByTagName("a");
new_adress="";

	for(j=0; j<ar_gosearch_node.length; j++){
		if (ar_gosearch_node[j].id=="gosearch"){
	
			//ссылка найдена отдаем ее на переработку
			
			//переработка пути до страницы с результатами поиска
			urlpath=conversion_path(ar_gosearch_node[j])
			//переработка переменных имеющихся у ссылки
			param_modified=conversion_param(ar_gosearch_node[j])
			//составление нового запроса			
			new_adress=urlpath+"?"+param_modified+"text="+text_txt;			
			//присвоение нового запроса найденной ссылке
			ar_gosearch_node[j].href=new_adress
			
		}

	};
	
	if (new_adress!=""){
		return new_adress;
	}else{
		return "";
	};


}

//#########################################################################################################
//#########################################################################################################
//#########################################################################################################
//#########################################################################################################

function handcomplete(event, input_elem){
	goto_search(input_elem)
}
function autocomplete(event, input_elem){
	goto_search(input_elem) //вызывается очень уж часто!!!
}

function press_enter(event, input_elem){
	if(event.keyCode==13){
		new_adress=goto_search(input_elem)
		if(new_adress!=""){document.location=new_adress};
	};
} 

number_clear=0;
function clear_field(event, input_elem){

	if(number_clear==0){input_elem.value='';};
	number_clear=1;
}


/*
---------------
<INPUT TYPE="text" NAME="text" id="text" SIZE=40 VALUE="" MAXLENGTH=100  onChange="godpl()"   >
<A HREF="/dplsearch.php?site_id=123456" id="gosearch"  >Найти</A>
<script language="JavaScript" type="text/javascript" src="http://www.best-fast.ru/_scripts/form.js"></script>
---------------
*/



